<template>
    <div>
      <!-- Here starts the html code for the BootstrapVue navbar. ToDo: Turn this into a component.-->
      <b-navbar toggleable="lg" style="background-color: #1F2833;">
        <b-navbar-brand href="/" disabled>Welcome</b-navbar-brand>

        <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

        <b-collapse id="nav-collapse" is-nav>
          <b-navbar-nav>
            <b-nav-item href="/about" >About</b-nav-item>
            <b-nav-item href="/">Resume</b-nav-item>
            <b-nav-item href="/">Pref & Hobbies</b-nav-item>
          </b-navbar-nav>

          <!-- Right aligned nav items -->
          <b-navbar-nav class="ml-auto">
            <b-nav-item-dropdown text="Lang" right>
              <b-dropdown-item href="#">EN</b-dropdown-item>
              <b-dropdown-item href="#">ES</b-dropdown-item>
            </b-nav-item-dropdown>
          </b-navbar-nav>
        </b-collapse>
      </b-navbar>
      <!-- This is the end of the code for the BootstrapVue navbar. -->
    </div>
</template>

<script lang="ts">
import Vue from 'vue'

export default class NavBar extends Vue {}

</script>

<style lang="scss">

.navbar-brand{ // text color assignment for the nav bar title
  color: #C5C6C7!important;
}

.nav-link{ // text colour assigment for the nav bar content
  color: #45A29E!important;
}

</style>
